using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Chart;

namespace Dynamic_Chart_size
{
    public partial class Form1 : Form
    {
        private int i = 1;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.chartControl1.Text = "Essential Chart";
            AddSeries();
        }
        private void AddSeries()
        {
            if (i < 25)
            {
                ChartSeries series = this.chartControl1.Model.NewSeries("Series " + i.ToString());
                series.Points.Add(i + 0, i * 1);
                series.Points.Add(i + 1, i * 2);
                series.Points.Add(i + 2, i * 3);
                i = i * 3;

                series.Type = ChartSeriesType.Column;
                series.Text = series.Name;
                this.chartControl1.Series.Add(series);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            AddSeries();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (this.chartControl1.Series.Count > 0)
            {
                this.chartControl1.BeginUpdate();
                this.chartControl1.Series.RemoveAt(this.chartControl1.Series.Count - 1);
                this.chartControl1.Redraw(true);
                this.chartControl1.EndUpdate();
            }
        }
    }
}